val fully_qualify : Parsetree.expression -> Parsetree.expression
(** Rewrite the AST so that Stdlib types are fully-qualified.

    This avoids the negative implications in [offshoring.ml](./offshoring.ml)
    if we do satisfy the presumptions:

    We take advantage of the fact that the our OCaml source is presumed
    to have been generated by MetaOCaml: All identifiers
    have unique names and all types are fully qualified.
*)
